For the complete documentation index, see llms.txt. This page is also available as Markdown.

Atualizar Link de Pagamento

put

Atualiza os dados de um link de pagamento específico

Authorizations
X-Token-ApistringRequired
Path parameters
uuidstring · uuidRequired

UUID do link de pagamento

Header parameters
X-Token-ApistringRequired

Token de autenticação para acesso à API

Content-Typestring · enumOptional

Tipo de conteúdo da requisição

Possible values:
x-ip-origin-requeststringOptional

IP de origem da requisição

x-idempotency-keystringOptional

Chave de idempotência

Body
typestring · enumRequiredExample: ORDERPossible values:
scheduledDatestring · dateOptional

Data de vencimento do pedido (opcional)

Example: 2025-10-23
uuidSellerClientstring · uuidOptional

UUID do comprador - se o link for específico para alguém (opcional)

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Link de pagamento atualizado com sucesso

application/json
idintegerRequiredExample: 9448
uuidstring · uuidRequiredExample: a1b33060-6fc3-4057-bcd2-19a253c7b90e
typestring · enumRequiredExample: ORDERPossible values:
urlstring · uriRequiredExample: https://sandbox-checkout.barte.com/payment-link/a1b33060-6fc3-4057-bcd2-19a253c7b90e
scheduledDatestring · dateOptionalExample: 2025-10-23
processedinteger · int32OptionalExample: 0
enableAnchoringbooleanOptionalExample: false
paymentMethodsstring[]OptionalExample: ["PIX","BANK_SLIP","CREDIT_CARD_EARLY_BUYER"]
enableBankSlipbooleanOptionalExample: true
enableCreditCardbooleanOptionalExample: true
enablePixPaymentbooleanOptionalExample: true
subSellerResponseobject[]Optional
idSellerintegerOptionalExample: 2890
put/v2/payment-links/{uuid}
PUT /v2/payment-links/{uuid} HTTP/1.1
Host: api.barte.com
X-Token-Api: text
Content-Type: application/json
Accept: */*
Content-Length: 707

{
  "type": "ORDER",
  "scheduledDate": "2025-10-23",
  "uuidSellerClient": "123e4567-e89b-12d3-a456-426614174000",
  "paymentOrder": {
    "title": "Link de Pagamento teste",
    "description": "text",
    "value": 1,
    "installments": 1,
    "timer": true,
    "expirationDate": "2025-10-23T18:00:00",
    "customInstallmentsValues": [
      {
        "paymentMethod": "PIX",
        "installments": 1
      },
      {
        "paymentMethod": "CREDIT_CARD_EARLY_BUYER",
        "installments": 10
      },
      {
        "paymentMethod": "BANK_SLIP",
        "installments": 1
      }
    ],
    "threeDSecureEnabled": false,
    "requiresLiabilityShift": false
  },
  "paymentSubscription": {
    "idPlan": "123e4567-e89b-12d3-a456-426614174000",
    "type": "MONTHLY",
    "valuePerMonth": 1
  },
  "paymentMethods": [
    "PIX",
    "CREDIT_CARD_EARLY_BUYER",
    "BANK_SLIP"
  ],
  "metadata": [
    {
      "key": "código",
      "value": "YMC"
    }
  ]
}
{
  "id": 9448,
  "uuid": "a1b33060-6fc3-4057-bcd2-19a253c7b90e",
  "type": "ORDER",
  "url": "https://sandbox-checkout.barte.com/payment-link/a1b33060-6fc3-4057-bcd2-19a253c7b90e",
  "scheduledDate": "2025-10-23",
  "paymentOrder": {
    "title": "Link de Pagamento teste",
    "description": "text",
    "value": 1,
    "installments": 1,
    "customInstallmentsValues": [
      {
        "paymentMethod": "PIX",
        "installments": 1
      },
      {
        "paymentMethod": "CREDIT_CARD_EARLY_BUYER",
        "installments": 10
      },
      {
        "paymentMethod": "BANK_SLIP",
        "installments": 1
      }
    ],
    "expirationDate": "2025-10-23T18:00:00",
    "timer": true,
    "threeDSecureEnabled": false,
    "requiresLiabilityShift": false
  },
  "paymentSubscription": {
    "idPlan": "123e4567-e89b-12d3-a456-426614174000",
    "type": "MONTHLY",
    "value": 1,
    "valuePerMonth": 1
  },
  "processed": 0,
  "enableAnchoring": false,
  "allowedPaymentMethods": {
    "pixMethod": {},
    "bankSlipMethod": {},
    "creditCardMethod": {
      "type": "EARLY_BUYER"
    }
  },
  "paymentMethods": [
    "PIX",
    "BANK_SLIP",
    "CREDIT_CARD_EARLY_BUYER"
  ],
  "enableBankSlip": true,
  "enableCreditCard": true,
  "enablePixPayment": true,
  "subSellerResponse": [],
  "idSeller": 2890
}

Last updated

Was this helpful?